How to upgrade from 6.1.37.86 to 6.1.38.146 ?

I was happily using StyleCop for Resharper until a recent upgrade and now the plugin is failing because

"The file “C:\Users\<username>\AppData\Roaming\JetBrains\ReSharper\v6.1\Plugins\StyleCop 4.7\StyleCop.ReSharper61.dll” references product version 6.1.38.146 which newer than currently running 6.1.37.86

Resharer Info:

JetBrains ReSharper 6.1 C# Edition
Build 6.1.37.86 on 2011-12-20T21:15:24

Plugins: 1
#1. StyleCop v4.7.6.0 by http://stylecop.codeplex.com
Visual Studio 10.0.40219.1.



If I go to the Resharper updates section there are apparently none?
2 comments
Comment actions Permalink

Version 6.1.38.146 is the first EAP build for 6.1.1, which you can download from:
http://confluence.jetbrains.net/display/ReSharper/ReSharper+6.1.1+Nightly+Builds

The StyleCop home page on CodePlex states:

4.7 - compatible with JetBrains R# 5.1( 5.1.3000.12), R# 6.0 (6.0.2202.688) and R# 6.1.1 (6.1.38.146). NOT COMPATIBLE WITH 6.1 RTM


For R# 6.1.37, you'll need StyleCop 4.6:
http://stylecop.codeplex.com/releases/view/64494

0
Comment actions Permalink

The only issue here is that the StyleCop 4.6.3.0 MSI doesn't have the option to install the plugin.



Attachment(s):
NoReSharperPlugin.png
0

Please sign in to leave a comment.